ApacheTop INSTALL Instructions

ApacheTop is now distributed with autoconf files, a nice easy way to build
distributions whatever platform you're on.

As easy as:
	cd apachetop-X.X/
	./configure
	make

There's a few custom ./configure options and overrides:
	--with-logfile=<log>	(added in v0.11)
		You may specify the location of the default logfile
		to open. This overrides the #define in apachetop.h.
		Of course, you can just use -f on the apachetop
		commandline, but if you'll only ever use one log, you
		can give it to configure and never worry about it again.
	
	--with-pcre=<path>	(added in v0.11)
		Specifies where to find the pcre installation in the
		event it's not in your standard path. configure should look
		for <path>/include/pcre.h and <path>/lib/libpcre.*
		
	--with-fam=<path>	(added in v0.12)
		Specifies where to find the FAM installation. The path you
		give should contain include/fam.h and lib/libfam.*
		kqueue will be preferred to fam if both are found on the system.

	--with-pcre=<path>	(added in v0.12)
		Specifies where to find an adns installation.


You'll find the binary as src/apachetop



IF IT FAILS TO BUILD
Make sure you have the -dev sources for readline and (n)curses. These
contain files required to build binaries that use these libraries; for
example on Debian you'll need the libreadline4-dev package installed.


